    #content {
        min-height: 440px;
    }
    
	/* prevent large extra space above & below pre */
	pre { margin: 0; }
	
    h4.external_subtitle
    {
        padding: 0px;
        margin: 0px;
        margin-top: 3px;
        margin-bottom: 15px;
        color: #666666;
        font-size: 16px;
    }

	.noshow2 {display: none;}
	.tswitch {display: none;}

	/* highlight rows on hover: internal tables */
	.highlightint tr:hover {background-color: #ccddff}
	
	/* highlight rows on hover: external (customer-side) tables */
	.highlight tr:hover {background-color: #f2e6ff}
	
	/* striped internal table */
	.stripedint tr:nth-child(even) {background-color: #f0fff0 }
	
	/* auto complete style */
	.autocomplete {
	  position:relative;
	  width:250px;
	  background-color:white;
	  border:1px solid #888;
	  margin:0;
	  padding:0;
	  font-family: Arial, Helvetica, sans-serif;
	  font-size: 12px;
	  line-height: 1.0;
	}
	.autocomplete ul {
	  list-style-type:none;
	  margin:0;
	  padding:0;
	}
	.autocomplete ul li.selected { background-color: #ffb;}
	.autocomplete ul li {
	  list-style-type:none;
	  display:block;
	  margin:0;
	  padding:2px;
	  height:16px;
	  cursor:pointer;
	}

	div.groupselect {
		clear: both; 
		float: right; 
		vertical-align: bottom;
	}
		
	div.popuphelp {
	  background-color: white;
	  border:1px solid #888;
	  margin:0;
	  padding:0;
	  display: none;
	}
	
	/* TODO: Cadence equivalent */
	.username {
	float: right; 
	vertical-align: middle; 
	font-size:10px; 
	color:#666;
	}

	/* tab menu */
	ul.tabs {
	margin: 0;
	padding: 0;
	float: left;
	list-style: none;
	height: 32px; /* Set height of tabs */
	border-bottom: 1px solid #999;
	border-left: 1px solid #999;
	width: 100%;
	
	}
	ul.tabs li {
	float: left;
	margin: 0;
	padding: 0;
	height: 31px; /* Subtract 1px from the height of the unordered list */
	line-height: 31px; /* Vertically aligns the text within the tab */
	border: 1px solid #999;
	border-left: none;
	margin-bottom: -1px; /* Pull the list item down 1px */
	overflow: hidden;
	position: relative;
	background: #e0e0e0;
	z-index: 0;
	position:relative;
	}
	ul.tabs li a {
	text-decoration: none;
	color: #000;
	display: block;
	padding: 0 10px;
	border: 1px solid #fff; /* Gives the bevel look with a 1px white border inside the list item */
	outline: none;
	}
	ul.tabs li a:hover {
	background: #ccc;
	}
	html ul.tabs li.active, html ul.tabs li.active a:hover { /* Makes sure that the active tab does not listen to the hover properties */
	background: #fff;
	border-bottom: 1px solid #fff; /* Makes the active tab look like it's connected with its content */
	}
	
	.tab_container {
	border: 1px solid #999;
	border-top: none;
	clear: both;
	overflow: auto;
	width: 100%;
	background: #fff;
	}
	.tab_content {
	padding: 10px;
	}

	/* tab menu for support/databahn, ememory*/
	ul.tabs_dn {
	z-index: 0;
	position:relative;
	margin: 0;
	padding: 0;
	float: left;
	list-style: none;
	height: 32px; /* Set height of tabs */
	border-bottom: 1px solid #999;
	border-left: 1px solid #999;
	width: 100%;
	}
	ul.tabs_dn li {
	float: left;
	margin: 0;
	padding: 0;
	height: 31px; /* Subtract 1px from the height of the unordered list */
	line-height: 31px; /* Vertically aligns the text within the tab */
	border: 1px solid #999;
	border-left: none;
	margin-bottom: -1px; /* Pull the list item down 1px */
	overflow: hidden;
	position: relative;
	background: #e0e0e0;
	}
	ul.tabs_dn li a {
	text-decoration: none;
	color: #000;
	display: block;
	padding: 0 10px;
	border: 1px solid #fff; /* Gives the bevel look with a 1px white border inside the list item */
	outline: none;
	}
	ul.tabs_dn li a:hover {
	background: #ccc;
	}
	html ul.tabs_dn li.active, html ul.tabs_dn li.active a:hover { /* Makes sure that the active tab does not listen to the hover properties */
	background: #fff;
	border-bottom: 1px solid #fff; /* Makes the active tab look like it's connected with its content */
	}
	
	.tab_container_dn {
	border: 1px solid #999;
	border-top: none;
	clear: both;
	overflow: auto;
	width: 100%;
	background: #fff;
	}
	.tab_content_dn {
	padding: 10px;
	}

	/* -----pop-up menu  ------------*/
	.popup_menu {
	/*float:left;*/ 
	margin-left: 6px;
	}
	
	ul.popup_menu li {
	display: inline;
	margin: 0;
	position: relative;
	color: #666;
	z-index: 990;
	}
	
	ul.popup_menu h2, ul.popup_menu h3 {
	color: #2f7cbb;
	font-size: 100%;
	font-weight: normal;
	display: inline;
	}
	
	ul.popup_menu li a {
	color: #000;
	text-decoration: none;
	padding: 0 0.4em;
	}
	
	ul.popup_menu li a:hover {
	text-decoration: underline;
	border-bottom: 5px solid #faf8f4;
	}
	
	ul.popup_menu li.mega a {
	
	padding: 0 1.2em;
	}
	
	ul.popup_menu li.mega a:hover {
	text-decoration: none; 
	background-color:#faf8f4;
	width: 100%;
	height: 100%;
	}
	
	ul.popup_menu li.mega h2 a{
		font: 11px/1.5 Verdana,sans-serif;
		text-transform: uppercase;
		color: #333;
	}
	
	ul.popup_menu div {
	display: none;
	}
	
	ul.popup_menu li.mega div {
	border: 1px solid #333;
	width: 26.7em;
	position: absolute;
	top: 1.6em;
	left: 1em;
	padding: 1em;
	background: #fff;
	color: #333;
	}
	
	ul.popup_menu li.mega div.home {
	left: -.25em;
	}
	
	ul.popup_menu li.mega div.end {
	left: -22em;
	}
	
	ul.popup_menu li.mega div table tr th{
	color: #00355e;
	font-weight: bold;
	font-size: 1em;
	}
	
	ul.popup_menu li.mega div table tr td {
	vertical-align:text-top;
	text-align: left;
	}
	
	ul.popup_menu li.hovering div {
	display: block;
	}
	
	ul.popup_menu li.mega div a {
	color: #2f7cbb;
	padding: 0;
	background-image: none;
	text-decoration: none;
	}
	
	ul.popup_menu li.mega div a:hover {
	color: #ed6624;
	text-decoration: none;
	border-bottom: 2px solid #ff5f00;
	background-color: #fff;
	}
	
	ul.popup_menu li div a.more {
	color: #ed6624;
	font-weight: bold;
	}
	
	ul.popup_menu div h3 {
	color: #00355e;
	font-weight: bold;
	font-size: 1em;
	}
	ul.popup_menu div p {
	margin: 0 0 0.8em 0;
	padding: 0;
	}
	/* end menu */

	/*
	ememory styles
	*/
	.pqvabl{font:11px verdana,sans-serif;color:#000000;}
	.pqssrd{font:11px arial,sans-serif;color:#CC0000;}
	.pqssbl{font:11px arial,sans-serif;color:#000000;}
	.pqsswt{font:bold 12px  arial,sans-serif;color:black;text-decoration:none}
	.smsswt{font:bold 12px  arial,sans-serif;color:black;}
	.smssblue{font:11px arial,sans-serif;color:#003663;}
	.smssbl{font:11px arial,sans-serif;color:#000000;}
	.mdssbl{font:11px arial,sans-serif;color:#000000;}
	.mdsswt{font:bold 12px  arial,sans-serif;color:black}
	.mdsswtnd{font:11px arial,sans-serif;color:white;text-decoration:none}
	.mdssrd{font:11px arial,sans-serif;color:#CC0000}
	.bgssbl{font:15px arial,sans-serif;color:#000000}
	.bgsswt{font:15px arial,sans-serif;color:black;text-decoration:none}
	.bgssrd{font:15px arial,sans-serif;color:#CC0000}
	.bgssblue{font:15px arial,sans-serif;color:#003663}
	.forum_title {font-family: Arial, Helvetica;font-size: large;}
	.forum {font-family: Arial, Helvetica;font-size: medium;}
	.nav {font:8px MS Sans Serif,Geneva,sans-serif;}
	.monospc{font: 15px monospace;}
	
	.emem-header { background-color: #afc8e6; }
	.emem-odd { background-color: #DFEFFF; }
	.emem-even { background-color: #FFFFFF; }
	.emem-popup {
		background-color: white; 
		border:1px solid #888; 
		margin:0; 
		padding:0; 
		display: none;
	}
	
	a.redlink {font:11px arial,sans-serif;color: #c00;}
	div.floating {
		position:absolute;
		visibility:	visible;
		left:25px;
		top:-150px;
		z-index:999;
		}
		
	.date2007 {
	background-color:#EAECEE;
	display:block;
	}

  /* Dropdown Button */
.denali-dropbtn {
    background-color: #f9f9f9;
    border: 1px solid;
    cursor: pointer;
    min-width: 220px;
    text-align: left;
    background-image: url("/en/images/icons/bullet_arrow_down.png");
    background-repeat: no-repeat;
    background-position: right;
}

/* Dropdown button on hover & focus */
.denali-dropbtn:hover, .denali-dropbtn:focus {
    background-color: #f1f1f1;
}

/* The container <div> - needed to position the dropdown content */
.denali-dropdown {
    position: relative;
    display: inline-block;
}

/* Dropdown Content (Hidden by Default) */
.denali-dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 200px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    height: 100px;
    overflow-y: scroll;
}

.denali-dropdown-content ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

/* Links inside the dropdown */
.denali-dropdown-content ul li {
    color: black;
    text-decoration: none;
    display: block;
}

/* Change color of dropdown links on hover */
.denali-dropdown-content ul li:hover {background-color: #f1f1f1}

.enterprise-access {
	color: white;
	background-color: royalblue;
}

.enterprise-access-border {
	border-style: solid;
	border-width: 1px;
	border-color: royalblue;
}

.dijitTooltipContainer {
	background-color:#fbf7b2;
	border: 1px solid #7eabcd;
	padding: 0.6em;
}

.license-sw { font-size:11px;font-family:monospace; height: 350px; }
.list-entadminroles { list-style-type: none; list-style-position: inside; padding-inline-start: 0px; }

.downtimebanner {text-align: center; background-color: #ffcce6; border: 1px solid black;}
.home-banner {
	height: 320px; 
	background-image: url(/en/images/bb_denali.jpg); 
	background-size: cover;
}

.bold {font-weight: bold;}
.italic {font-style: italic;}

.iconbutton {min-width: 16px; width: 16px; height: 16px;}
.controlbutton {padding: 1px; }
.shownewlines {white-space: pre-line;}
.odd { background-color: #ffffff; }
.even { background-color: #f0f0f0; }
.disabled { background-color: #cccccc; }
.slip {
	color: #ff0000;
}
.slip-bg {
	background-color: #ff9999;
}
.future {
	background-color: #ccffcc;
}
.evenslip {
	color: #ff0000;
}
.oddslip {
	color: #ff0000;
}
.evendep {
	background-color: #e6e6e6;
}
.odddep {
	background-color: #e6e6e6;
}
.evenslipdep {
	background-color: #e6e6e6;
	color: #ff0000;
}
.oddslipdep {
	background-color: #e6e6e6;
	color: #ff0000;
}
.dependency {
	background-color: #e6e6e6;
}
.weekend {
	background-color: #e6e6ff;
}
.due1wk {
	background-color: #669933;
}
.due2wk {
	background-color: #00cc66;
}
.due {
	background-color: #ccffcc;
}
.product {
	color: #006699;
	font-style: italic;
}

tr.even {
	background-color: #f0fff0;
}
tr.odd {
	background-color: #ffffff;
}
tr.even_int {
	background-color: #ffcce6;
}
tr.odd_int {
	background-color: #ffe6f2;
}
tr.summheader_int, span.summheader_int, p.summheader_int {
	background-color: #ffb3d9;
}
tr.disabled {
	background-color: #f0f0f0;
}
tr.selected {
	background-color: #ccccff;
}
tr.border {
	background-color: #006699;
}
tr.header {
	background-color: #cccc99;
}
tr.summheader, td.summheader {
	background-color: #ffffcc;
}
tr.summheaderodd, td.summheaderodd {
	background-color: #e0f0ff;
}
tr.summheadercust {
	background-color: papayawhip;
}
th.summheader {
	text-align: center;
}
span.error, span.new {
	color: #ff0000;
	font-weight: bold;
}
span.impliedvalue {
	font-style:italic;
}

.exportctl { background-color: #ffcccc; }
.new { background-color: #f8f8ff; }
.header-opp { background-color: #ffcc33; }
.even-opp { background-color: #ffffcc; }
.odd-opp { background-color: #ffffff; }

.table-smallfont { font-size: 14px; }
.table-medfont { font-size: 16px; }

img.button { border-style: outset; border-color: #d8d8d8 }
img.button_selected { border-style: inset; border-color: #d8d8d8 }
td.button { border-style: outset; border-color: #003663; background: #DFEFFF }
td.button_selected { border-style: inset; border-color: #DFEFFF; background: #eeeeee }

.table-minline th,.table-minline td { padding: 2px 8px; }
.table-minline2 th,.table-minline2 td { padding: 2px; }
.table-minline2-4-1-1 th,.table-minline2-4-1-1 td {padding: 2px 4px; line-height: 1.1;}
.table-minline1 th,.table-minline1 td { padding: 2px 8px; line-height: 1.0;}

.table-border th,.table-border td { padding: 2px 8px; border: 1px solid black; }

.table-border-pad5 { border-collapse: collapse; padding: 5px 5px 5px 5px; }

td.basicslabel {
	text-align: right;
	color: #004080;
	font-weight: bold;
	border: 0px solid white;
}
td.basicsvalue {
	border: 0px solid #99ccff;
}

td.innerheading {
	text-align: right;
	font-weight: bold;
}

.table-change-small th,.table-change-small td,.table-change-small th:first-child,.table-change-small td:first-child { padding: 2px 4px; }
.table-change th,.table-change td,.table-change th:first-child,.table-change td:first-child { padding: 2px 4px; font-size: 14px; }

.exportInvalid {background-color: #ffcccc;}
.qcfail {
	color: #ff0000;
	font-weight: bold;
}
.qcpass {
	color: #009900;
	font-weight: bold;
}

div.databahn-popup {
	position: absolute;
	border-style: outset;
	border-color: #cccc99;
	background-color: white;
	padding: 10px;
	z-index: 3000;
	width: 924px;
}

.newest { font-weight: bold; color: red; }

.table-child-ent td {vertical-align: bottom; width: auto;}
.table-child td {vertical-align: bottom;}

.ichunk { display: none; }

	/* changeSet */	
	span.oldvalue {
		font-weight:lighter;
		color: #669999;
	}
	span.removed {
		text-decoration:line-through;
		font-weight:lighter;
	}
	span.added {
		background-color: #99ff66;
	}
	tr.removed {
		background-color: #e6e6e6;
	}
	td.removed {
		text-decoration:line-through;
		background-color: #e6e6e6;
	}
	tr.added {
		background-color: #99ff66;
	}
	td.added {
		background-color: #99ff66;
	}
	
	.table-breadcrumb { padding:0px; margin:0px; }
	.width-auto { width: auto; }
	.width-120 { max-width: 120px; }
	.width-60pct { width: 60%; }
	.width-100pct { width: 100%; }
	
	.float-right { float: right; }
	.float-left { float: left; }
	
	.clear-both { clear: both; }
	
	.expr-editor {height: 200px; width: 660px; border: 1px solid black;}
	.adminsomas-editor {height: 120px; width: 660px; border: 1px solid black;}
	.catmgr-editor {height: 80px; width: 660px; border: 1px solid black;}
	
	.ul-none { list-style-type: none; }
	.ul-normal {list-style-type: disc; margin-left: 16px; padding-left: 4px;}
	.ol-normal { list-style-type: decimal; }
	
	.padding-none {padding: 0px !important;}
	.padding-1 { padding: 1px !important; }
	.padding-2 { padding: 2px !important; }
	.padding-4 { padding: 4px !important; }
	.padding-8 { padding: 8px !important; }
	
	.pad-left-0 {padding-left: 0px !important; }
	.pad-left-16 {padding-left: 16px !important; }
	.pad-left-20 {padding-left: 20px !important; }
	
	.pad-vert-4 {padding-top: 4px; padding-bottom: 4px;}
	.pad-vert-8 {padding-top: 8px; padding-bottom: 8px;}
	
	.pad-horz-4 {padding-left: 4px; padding-right: 4px;}
	.pad-horz-20 {padding-left: 20px; padding-right: 20px;}
	
	.outset { border-style: outset; }
	.outset-mb-16 { border-style: outset; margin-bottom: 16px; }

	.margin-0 { margin: 0px; }
	.margin-2 { margin: 2px; }
	.margin-6 { margin: 6px; }
	.margin-10 { margin: 10px; }
	.margin-15 { margin: 15px; }
	.margin-vert-8 { margin-top: 8px; margin-bottom: 8px; }

	.ml-10 {margin-left: 10px !important;}
	.ml-20 {margin-left: 20px !important;}

	.mt-none {margin-top: 0px !important;}
	.mt-20 {margin-top: 20px !important;}

	.mb-2 { margin-bottom: 2px !important; }
	.mb-3 { margin-bottom: 3px !important; }
	.mb-5 { margin-bottom: 5px !important; }
	.mb-8 { margin-bottom: 8px !important; }
	.mb-16 { margin-bottom: 16px !important; }
	
	.margin-0-pad-0 { margin: 0px !important; padding: 0px !important; }
	
	.border-none { border: none !important; }
	.border-collapse { border-collapse: collapse; }
	
	.bg-gold { background-color: gold; }
	
	.cursor-pointer { cursor: pointer; }
	
	/* Subsection Tabs - is this used?
	--------------------*/
	ul.subsection_tabs {
		list-style:none;
		margin:0 0 5px 0;
		padding:3px;
		clear:both;
		border-bottom:1px solid #ccc;
		height:20px;
		clear:both;
	}
	
	ul.subsection_tabs li.tab {
		float:left;
		margin-right:7px;
		text-align:center;
	}
	
	ul.subsection_tabs li.tab a {
		display:block;
		height:20px;
		padding:0 6px 0 6px;
		background-color:#ddd;
		border-bottom:none;
		color:#666;
		width:80px;
	}
	
	ul.subsection_tabs li.tab a:hover {
		color:#666;
	}
	
	ul.subsection_tabs li.tab a.active {
		background-color:#fff;
		border-style:outset;
		border-bottom:none;
	}
	
	ul.subsection_tabs li.source_code {
		float:right;
	}


/* fix some craziness from Cadence stylesheet */

.cq-image-placeholder {
    background: 0 0!important;
    border: 0 !important;
    min-width: 1px !important;
    min-height: 1px !important;
}

fieldset {
	all: initial;
	border: 1px solid #c0c0c0;
	margin: 0 2px;
	padding: .35em .625em .75em;
	box-sizing: border-box;
	min-inline-size: min-content;
	display: block;
}

legend {
	all: initial;
}

label { font-weight: normal; }
	
/* to fix Epoch calendar given what w3 CSS does */
table.calcells td.wkhead { padding-left: 2px; }
table.calcells td { padding: 2px; }
table.caldayheading td { padding: 2px; }
table.calendar td { padding: 2px; }

/* accessibility */
:focus {
	outline-style: solid !important;
	outline-color: invert !important;
	outline-width: 2px !important; /* or "thin" or "medium" */
}
